Page MenuHomePhabricator

Remove automatic mark-as-read (of alerts) when you open the popup
Closed, ResolvedPublic

Description

Once T123018: Revise Sorting of Notifications on the Fly-Out Menus is done, we should remove the anti-feature of marking alerts read automatically when opening the popup.

Per 2016-05-09 meeting, do at same time

Event Timeline

Catrope created this task.Apr 12 2016, 10:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2016, 10:34 PM
Poyekhali triaged this task as Normal priority.Apr 13 2016, 3:08 AM
Mattflaschen-WMF renamed this task from Remove automatic mark-as-read to Remove automatic mark-as-read (of alerts) when you open the popup.Apr 13 2016, 2:07 PM

Change 293761 had a related patch set uploaded (by Catrope):
Remove automatic mark-as-read-when-seen

https://gerrit.wikimedia.org/r/293761

Trizek-WMF added a subscriber: Trizek-WMF.

To be deployed next week (week 24).

Change 294300 had a related patch set uploaded (by Sbisson):
Don't mark alerts as read when seen

https://gerrit.wikimedia.org/r/294300

Change 294300 merged by jenkins-bot:
Don't mark alerts as read when seen

https://gerrit.wikimedia.org/r/294300

Checked ihn betalabs - Alerts red badge when clicked will change to 'seen' status; the alerts messages will not be changed to 'read' status:

jmatazzoni closed this task as Resolved.Jun 16 2016, 10:32 PM
jmatazzoni claimed this task.

Change 293761 merged by jenkins-bot:
Remove automatic mark-as-read-when-seen

https://gerrit.wikimedia.org/r/293761

But opening "view changes" does not mark notification as read either.

Hello? Anyone? It's still a serious bug.

Hello? Anyone? It's still a serious bug.

Notification is always marked as read after clicking on the primary link, ie. on the notification itself. Maybe create another task about it.

IKhitron added a comment.EditedJun 30 2016, 10:35 AM

Thanks, @matej_suchanek, I'll do that.